<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__gatt__robust__caching__api__functions" kind="group">
    <compoundname>gatt_robust_caching_api_functions</compoundname>
    <title>GATT Robust Caching</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__gatt__robust__caching__api__functions_1gae65f10ae12669eaabe170f684b46cf49" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_gatt_update_peer_robust_caching_support_status</definition>
        <argsstring>(uint16_t conn_id, uint32_t robust_caching_supported)</argsstring>
        <name>wiced_bt_gatt_update_peer_robust_caching_support_status</name>
        <param>
          <type>uint16_t</type>
          <declname>conn_id</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>robust_caching_supported</declname>
        </param>
        <briefdescription>
<para>Indicate to stack if peer supports robust caching Set by the application by querying the remote peers Client Supported Features in case the server supports gatt caching. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: GATT Connection ID </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">robust_caching_supported</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE if peer supports robust caching</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1108" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__robust__caching__api__functions_1gae04af1c4b05f0ceaf2a725513861dbf0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_gatt_get_peer_caching_status</definition>
        <argsstring>(uint16_t conn_id, wiced_bt_gatt_caching_status_t *caching_status)</argsstring>
        <name>wiced_bt_gatt_get_peer_caching_status</name>
        <param>
          <type>uint16_t</type>
          <declname>conn_id</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__gatt_1ga498a040c6ad01dd19d214d5b64b8a7a2">wiced_bt_gatt_caching_status_t</ref> *</type>
          <declname>caching_status</declname>
        </param>
        <briefdescription>
<para>Function wiced_bt_gatt_get_peer_caching_status Can be used by the server application to read the robust caching status of the peer. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>connection identifier. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">caching_status</parametername>
</parameternamelist>
<parameterdescription>
<para>GATT_PEER_CLIENT_CACHE_CHANGE_AWARE/GATT_PEER_CLIENT_CACHE_CHANGE_UNAWARE</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1120" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__robust__caching__api__functions_1ga9e608451749237abe23b4382906ede11" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_gatt_set_peer_caching_status</definition>
        <argsstring>(uint16_t conn_id, wiced_bt_gatt_caching_status_t status)</argsstring>
        <name>wiced_bt_gatt_set_peer_caching_status</name>
        <param>
          <type>uint16_t</type>
          <declname>conn_id</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__gatt_1ga498a040c6ad01dd19d214d5b64b8a7a2">wiced_bt_gatt_caching_status_t</ref></type>
          <declname>status</declname>
        </param>
        <briefdescription>
<para>This function is used by the application to set peer's caching state. </para>
        </briefdescription>
        <detaileddescription>
<para>The application is expected to store the last <ref kindref="member" refid="group__bt__types_1ga6b2f6680ad9b818353df2c23bcd96546">wiced_bt_db_hash_t</ref> shared with the bonded peer in NVRAM On connection, the application compares the stored <ref kindref="member" refid="group__bt__types_1ga6b2f6680ad9b818353df2c23bcd96546">wiced_bt_db_hash_t</ref> with the current db_hash. If the hashes match, the status is set to <ref kindref="member" refid="group__wicedbt__gatt_1gga37752af067adb29bf256c7b130b18ac5a87f80cbd4cca0e10f8fceefa157b5c95">GATT_PEER_CLIENT_CACHE_CHANGE_AWARE</ref> else <ref kindref="member" refid="group__wicedbt__gatt_1gga37752af067adb29bf256c7b130b18ac5a5ba60ac4dac59215913f2c9841f76298">GATT_PEER_CLIENT_CACHE_CHANGE_UNAWARE</ref></para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>connection identifier. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">status</parametername>
</parameternamelist>
<parameterdescription>
<para>CHANGE_AWARE/CHANGE_UNAWARE.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1135" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT Robust Caching API. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>